import { r as o, h as s, H as r } from "./index.e6beb8d9.js";
import { c as t } from "./index-orsBiyT_.fc4357c3.js";
import "react";
import "react-dom";
const i = () => ':host{display:block}:host *{box-sizing:border-box}.skeleton-box{position:relative;overflow:hidden;min-height:var(--s-font-size-sm);background-color:var(--s-surface-raised-hovered)}.skeleton-box:after{position:relative;display:block;width:100%;height:100%;background-image:linear-gradient(       90deg,       rgba(255, 255, 255, 0) 0,       rgba(255, 255, 255, 0) 12%,       var(--s-surface-raised-default) 50%,       rgba(255, 255, 255, 0) 88%,       rgba(255, 255, 255, 0) 100%     );content:"";transform:translateX(-100%);animation:skeleton-box-shimmer 3s infinite}@keyframes skeleton-box-shimmer{100%{transform:translateX(100%)}}.skeleton-box--static:before{display:none}.skeleton-box--border-radius-pill{border-radius:100rem}.skeleton-box--border-radius-none{border-radius:0}', a = class {
  constructor(e) {
    o(this, e), this.animated = !0, this.borderRadius = "base";
  }
  render() {
    const e = t("skeleton-box", `skeleton-box--border-radius-${this.borderRadius}`, { "skeleton-box--static": !this.animated });
    return s(r, { key: "280025cc3af06d5f16830bceb6d5fc9d7b2174bb", style: {
      width: !Boolean(this.width) && !Boolean(this.aspectRatio) ? "100%" : void 0
    } }, s("div", { key: "4517aa7668831d946f6f62b59b9a708c9796fc63", class: e, style: {
      aspectRatio: this.aspectRatio,
      borderRadius: this.borderRadius !== "pill" && this.borderRadius !== "none" ? `var(--s-border-radius-${this.borderRadius})` : void 0,
      height: this.height,
      width: this.width
    } }));
  }
};
a.style = i();
export {
  a as swirl_skeleton_box
};
